package ver4;

public class StudentReportGenerator {
	
	public static String getReportCard(Student s) {
		StringBuilder sb = new StringBuilder();
		sb.append("Report Card\n-------------------\n");
		if(s.getNumRegistrations()==0) {
			sb.append("No courses registered for");
			return sb.toString();
		}
		int i=0;
		// Had to add getRegistrations method in Student class.
		// Returns an unmodifiable list.
		for(Registration r : s.getRegistrations()) {
			String line = String.format("%d. %s, final avg=%.1f\n", ++i, r.getCourseName(), r.getFinalAverage());
			sb.append(line);
		}
		return sb.toString();
	}

}
